import { Request, Response } from "express";
import logger from "src/logger";
import ImageService from "src/services/ImageService";

class ImageController {
  async get(_: Request, res: Response) {
    try {
      const image = await ImageService.get();
      res.json(image);
    } catch (error: any) {
      logger.error(error);
      res.status(500).json({ error: `Internal server error: ${error}` });
    }
  }
}

export default new ImageController();
