import { env } from "bun";
import app from "src/app";
import logger from "src/logger";

const PORT = env.PORT;

const server = app.listen(PORT, () =>
  logger.info(`Express server listening on port ${PORT}`)
);

process.on("SIGTERM", () => {
  server.close(() => {
    logger.info("Server closed.");
    process.exit(0);
  });
});
